Bug 476481 - should remove _NET_SUPPORTING_WM_CHECK when metacity is gone
should remove _NET_SUPPORTING_WM_CHECK when metacity is gone
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 00:55 EST by Akira TAGOH
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 16:40:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 564561 None None None Never

  None (edit)
Description Akira TAGOH 2008-12-15 00:55:05 EST
Description of problem:
in current implementation of metacity, it keeps _NET_SUPPORTING_WM_CHECK
property in the root window even when it's gone. usually it doesn't work
properly so that the window id that property contains would be invalid. however
it would affects unexpectedly when any applications grabs that window id, and
any applications referring to that value will behaves unexpected thing.

So I'd suggest metacity should removes it before finishing.

See Bug#471927 for the unexpected problem happened without the removal of this property.


Version-Release number of selected component (if applicable):
metacity-2.24.0-2.fc10
Comment 1 Owen Taylor 2009-11-16 16:40:34 EST
mclasen's patch applied upstream before 2.28.0, should be OK in F12

Note You need to log in before you can comment on or make changes to this bug.